## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.mem0.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Python

```python
# To use the Python SDK, install the package:
# pip install mem0ai

from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")

# Add some message to create history
messages = [{"role": "user", "content": "<user-message>"}]
client.add(messages, user_id="<user-id>")

# Add second message to update history
messages.append({"role": "user", "content": "<user-message>"})
client.add(messages, user_id="<user-id>")

# Get history of how memory changed over time
memory_id = "<memory-id-here>"
history = client.history(memory_id)
```

```javascript
// To use the JavaScript SDK, install the package:
// npm i mem0ai

import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });

// Get history of how memory changed over time
client.history("<memory_id>")
  .then(result => console.log(result))
  .catch(error => console.error(error));
```

```bash
curl --request GET \
  --url https://api.mem0.ai/v1/memories/{memory_id}/history/ \
  --header 'Authorization: Token <api-key>'
```

```go
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

url := "https://api.mem0.ai/v1/memories/{memory_id}/history/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Token <api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
	fmt.Println(string(body))
}
```

```php


```

### Response

200

```
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "input": [
      {
        "content": "<string>"
      }
    ],
    "new_memory": "<string>",
    "user_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "old_memory": "<string>",
    "metadata": {}
  }
]
```

### Authorizations

Authorization

string

header

required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

### Path Parameters

memory_id

string<uuid>

required

The unique identifier of the memory to retrieve.

### Response

200 - application/json

Successfully retrieved the memory history.
